Will Java 16 and 17 be supported in SonarQube 8.9 LTS?

Hi there,

we just switched to SonarQube 8.9 LTS EE.

I know, JDK 17 is not available in the official Eclipse JDT, but from Java 16 support - #6 by Michael I learned, that it will be included by the end of the year.

It seems, that Java 16 support is already added to the latest sonar-java plugin, but it’s not bundled with the latest SonarQube 8.9.2 LTS version.

I was wondering if it’s planned to add Java 16 and 17 support to the 8.9 LTS version as we would like to stick with the LTS version AND have JDK 17 support.

Thanks for answering,
Volker

Hey @fuvo,

Unfortunately, and to answer explicitly your question: No, you won’t be able to have the support of Java 16 and Java 17 with SQ 8.9 LTS. Since SQ 7.9 LTS, versions of languages analyzers are sticked to SQ versions, and can not be independently updated.

Consequently, the only way to get access to the support of Java 16 and 17 before our next LTS is to rely on the latest releases of the SonarQube 9.X series.

However, and I feel it’s a plus, relying on the 9.X series would bring to you in the process the improvements for all the other languages that we support… And significant work has been done on Java, C++, Kotlin, JS/TS, and numerous other languages since the release of LTS 8.9 already!

Regards,
Michael

1 Like

Hi @Michael ,

Hm, not what I wanted to hear. I have to say, that we as Enterprise customers are unhappy with this the fact that the latest SonarQube LTS version doesn’t support Java LTS versions.

but thanks for your answer!

Regards,
Volker

2 Likes

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.